<?php

namespace Teknisa\CNC\Services;

use Teknisa\CNC\Utilities;
use Teknisa\CNC\Factories;

class ProdutoCNC {

	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager, Factories\ProdutoFactory $produtoFactory)  {
		$this->entityManager   = $entityManager;
		$this->produtoFactory  = $produtoFactory;
	}

	public function getProducts($row){
		$acquires = $this->produtoFactory->getProducts(array(
            ':LABELPRODUTOADQ' => $row['LABELPRODUTOADQ']
        ));
        return $acquires;
	}

}